commit:     191241f17e14da162b5ea5d57ba460514ed53dba
Author:     Giuseppe Foti <foti.giuseppe <AT> gmail <DOT> com>
AuthorDate: Sat May 20 17:57:58 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul  3 08:15:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=191241f1

net-analyzer/python-gvm: add 23.5.1

Signed-off-by: Giuseppe Foti <foti.giuseppe <AT> gmail.com>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-analyzer/python-gvm/Manifest                 |  1 +
 net-analyzer/python-gvm/metadata.xml             |  4 +++
 net-analyzer/python-gvm/python-gvm-23.5.1.ebuild | 34 ++++++++++++++++++++++++
 3 files changed, 39 insertions(+)

diff --git a/net-analyzer/python-gvm/Manifest b/net-analyzer/python-gvm/Manifest
index 1e97e579cc91..41d40df2374e 100644
--- a/net-analyzer/python-gvm/Manifest
+++ b/net-analyzer/python-gvm/Manifest
@@ -1 +1,2 @@
 DIST python-gvm-21.11.0.tar.gz 230324 BLAKE2B 
1c4ca09f62dbeb6863e6f2da7188fd499d38ec9e1c01a2cac3534b2bff996082a5075a437e225a51bbb98f7a6ebc67062f5bd31ac1ce1a831a82bcc85f377a62
 SHA512 
df1fe64c65453a782dd89615cb6426a47091c82899d73855ec14174ea01ca3066a987eacb4f553c575695c6a962ec635023d0b79eafe143b564e4dfe494cc2a9
+DIST python-gvm-23.5.1.tar.gz 291456 BLAKE2B 
529febe59d46079a48299c8f1e853d4d3e20fb241fbb9e4d05cb83c9bb0c6c98dc297ee2d0322789e178216c55975b8c49204273be9bf484e6304438ae171533
 SHA512 
4928b077bf10367b3f2c8c8fe737720c0e3c84b4df8cdf6e6ca440a442a915f8619519993200c81f4333eae32070af0b51265fdb1c224b11ae11f521d62a7f84

diff --git a/net-analyzer/python-gvm/metadata.xml 
b/net-analyzer/python-gvm/metadata.xml
index 488d3eec2494..fc9cf3041b5d 100644
--- a/net-analyzer/python-gvm/metadata.xml
+++ b/net-analyzer/python-gvm/metadata.xml
@@ -1,6 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Giuseppe Foti</name>
+       </maintainer>
        <maintainer type="person" proxied="yes">
                <email>[email protected]</email>
                <name>Jonas Licht</name>

diff --git a/net-analyzer/python-gvm/python-gvm-23.5.1.ebuild 
b/net-analyzer/python-gvm/python-gvm-23.5.1.ebuild
new file mode 100644
index 000000000000..22a851ada380
--- /dev/null
+++ b/net-analyzer/python-gvm/python-gvm-23.5.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Greenbone Vulnerability Management Python Library"
+HOMEPAGE="https://www.greenbone.net https://github.com/greenbone/python-gvm/";
+SRC_URI="https://github.com/greenbone/python-gvm/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3+"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/defusedxml[${PYTHON_USEDEP}]
+       dev-python/lxml[${PYTHON_USEDEP}]
+       dev-python/paramiko[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # drop connection tests
+       rm -r tests/connections || die
+}

Reply via email to